This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 07:03
Elapsed6m55s
Revision
Buildercc47a43b-73e6-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/aa9289c1-d6ba-4c59-8954-a79156f43375/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/aa9289c1-d6ba-4c59-8954-a79156f43375/targets/test
infra-commit1b9b50e18

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 07:03:53.697] process 29 exited with code 0 after 0.0m
I0401 07:03:53.697] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 07:03:53.697] Root: /workspace
I0401 07:03:53.697] cd to /workspace
I0401 07:03:53.697] Configure environment...
I0401 07:03:53.698] Call:  git show -s --format=format:%ct HEAD
W0401 07:03:53.707] fatal: not a git repository (or any of the parent directories): .git
I0401 07:03:53.710] process 42 exited with code 128 after 0.0m
W0401 07:03:53.711] Unable to print commit date for HEAD
I0401 07:03:53.711] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 07:03:54.539] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 07:03:55.498] process 43 exited with code 0 after 0.0m
I0401 07:03:55.498] Call:  gcloud config get-value account
I0401 07:03:56.655] process 56 exited with code 0 after 0.0m
I0401 07:03:56.656] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 07:03:56.656] Start 1245245266550853634 at ...
I0401 07:03:56.658] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_C0yQI2 gs://kubernetes-jenkins/logs/metrics-kettle/1245245266550853634/started.json
I0401 07:04:00.531] process 69 exited with code 0 after 0.1m
I0401 07:04:00.532] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 07:04:00.598] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 07:10:34.285] ERROR: table k8s-gubernator:build.all is 24.1 hours old. Max allowed: 6 hours.
I0401 07:10:34.286] ERROR: table k8s-gubernator:build.week is 24.3 hours old. Max allowed: 6 hours.
I0401 07:10:34.286] ERROR: table k8s-gubernator:build.day is 23.8 hours old. Max allowed: 6 hours.
I0401 07:10:34.286] Collected data:
I0401 07:10:34.286] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 07:10:34.287] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 07:10:34.287] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 07:10:34.287] 
W0401 07:10:34.388] Traceback (most recent call last):
... skipping 22 lines ...
W0401 07:10:34.391]     self.send(msg)
W0401 07:10:34.391]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 07:10:34.391]     self.connect()
W0401 07:10:34.391]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 07:10:34.392]     conn = self._new_conn()
W0401 07:10:34.392]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 07:10:34.392]     self, "Failed to establish a new connection: %s" % e
W0401 07:10:34.392] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f2fa8ffe358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 07:10:34.392] 
W0401 07:10:34.392] During handling of the above exception, another exception occurred:
W0401 07:10:34.392] 
W0401 07:10:34.393] Traceback (most recent call last):
W0401 07:10:34.393]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 07:10:34.393]     timeout=timeout
W0401 07:10:34.393]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 07:10:34.393]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 07:10:34.393]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 07:10:34.393]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 07:10:34.394] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f2fa8ffe358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 07:10:34.394] 
W0401 07:10:34.394] During handling of the above exception, another exception occurred:
W0401 07:10:34.394] 
W0401 07:10:34.394] Traceback (most recent call last):
W0401 07:10:34.394]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 07:10:34.395]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 07:10:34.396]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 07:10:34.396]     resp = self.send(prep, **send_kwargs)
W0401 07:10:34.397]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 07:10:34.397]     r = adapter.send(request, **kwargs)
W0401 07:10:34.397]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 07:10:34.397]     raise ConnectionError(e, request=request)
W0401 07:10:34.397] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f2fa8ffe358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 07:10:34.414] Traceback (most recent call last):
W0401 07:10:34.414]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 07:10:34.415]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 07:10:34.415]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 07:10:34.415]     check(*cmd)
W0401 07:10:34.415]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 07:10:34.416]     subprocess.check_call(cmd)
W0401 07:10:34.416]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 07:10:34.416]     raise CalledProcessError(retcode, cmd)
W0401 07:10:34.416] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 07:10:34.438] Command failed
I0401 07:10:34.438] process 251 exited with code 1 after 6.6m
E0401 07:10:34.438] FAIL: metrics-kettle
I0401 07:10:34.439] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 07:10:35.255] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 07:10:35.957] process 255 exited with code 0 after 0.0m
I0401 07:10:35.957] Call:  gcloud config get-value account
I0401 07:10:37.193] process 267 exited with code 0 after 0.0m
I0401 07:10:37.193] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 07:10:37.193] Upload result and artifacts...
I0401 07:10:37.194] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245245266550853634
W0401 07:10:37.194] Missing local artifacts : /workspace/_artifacts
W0401 07:10:37.194] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 07:10:37.194] metadata not found or invalid, init with empty metadata
I0401 07:10:37.194] Call:  git rev-parse HEAD
W0401 07:10:37.206] fatal: not a git repository (or any of the parent directories): .git
E0401 07:10:37.206] Command failed
I0401 07:10:37.207] process 280 exited with code 128 after 0.0m
I0401 07:10:37.207] Call:  git rev-parse HEAD
I0401 07:10:37.224] process 281 exited with code 0 after 0.0m
I0401 07:10:37.224] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 07:10:39.778] process 282 exited with code 0 after 0.0m
I0401 07:10:39.780] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585721372771228'
... skipping 8 lines ...